#!/usr/bin/perl
# usage: merge_rean_obs.pl
# merges column data of obs with column data of reanalysis
($headfile)=@ARGV;
open REAN,"<sforean.dat" or die "no rean data";
open OBS,"<burnoffs.dat" or die "no obs data";
open HEAD,"<$headfile" or die "no head";
open OUT,">burnoff_rean.dat";
$n=0;
@head=<HEAD>;
print OUT @head;
$date=-1;
while ($ob=<OBS>){
  next if $ob=~m/^\s*\#/;
  chomp($ob);
  @oba=split /\s+/, $ob;
  $dateob=shift @oba; 
  next if $dateob<1953010100;
  $n++;
  $find=$dateob+8;
  $m=0;
  #print "lookfor $find";
  while ($find>$date){
    $rean=<REAN>;
    chomp($rean);
    @v=split /\s+/,$rean;
    ($i,$date)=@v;
    $m++;
    $date='19'.$date;
  }
  #print "  found $date \n";
  print "$dateob $find $date\n" unless $find eq $date;
    ($speed,$dir,$slvp,$far,$clht,$rh,$jul,$iclht,$cloudstart,$burnoff)=@oba;
    $kelvin='******';
    $uwind='*****';
    $vwind='*****';
    $kelvin=sprintf('%6.1f',($far-32.)/1.8+273.15) if $far!~m/\*/;
    $uwind=sprintf('%5.1f',-$speed*sin(3.14159265*$dir/180.)) if ($dir!~m/\*/ and $speed!~m/\*/);
    $vwind=sprintf('%5.1f',-$speed*cos(3.14159265*$dir/180.)) if ($dir!~m/\*/ and $speed!~m/\*/);
    $cosj=sprintf('%6.3f',cos(6.283*$jul/365.));
    $sinj=sprintf('%6.3f',sin(6.283*$jul/365.));
    #$diff=sprintf('%6.2f',$kelvin-$v[14]);
    $rec="$dateob $speed  $dir $uwind  $vwind  $slvp  $kelvin  $clht  $rh  $jul  $iclht $cloudstart $burnoff";
#  print OUT "$rec $find $rean\n" unless $rec=~m/\*/;
  print OUT "$ob $rean\n" unless $rec=~m/\*/;
#  die if $n > 10;
}

