#!/usr/bin/perl
@a=`grep "mse=" nn_*.dat svd_*.dat`;
#print @a;
for $line (@a){
  $line=~m/(mse=\s*)(\S+)/ and push @mse,$2;
  $line=~m/(mst=\s*)(\S+)/ and push @mst,$2;
  $line=~m/(\w*.dat.\d)/ and push @file,$1.$2;
  $line=~m/(nn|svd)/ and push @type,$1;
}
#print @mse,@mst,@file;
$len=@a;
for $i (0..$len-1){
	$r2=1.-$mse[$i]/$mst[$i];
  $j=$i+1;
  $line="$type[$i] $file[$i] $mse[$i] $mst[$i] $r2";
  $line=~s/,//;
  push @all,$line if $line=~m/all/;
  push @obs,$line if $line=~m/obs/;
  push @red,$line if $line=~m/red/;
}
#print @all,@obs,@red;
open OUT,">all_ss.dat";
$j=0;
for (@all) {$j++; $_.=" $j\n"};
print OUT @all;
close OUT;
open OUT,">obs_ss.dat";
$j=0;
for (@obs) {$j++; $_.=" $j\n"};
print OUT @obs;
close OUT;
open OUT,">red_ss.dat";
$j=0;
for (@red) {$j++; $_.=" $j\n"};
print OUT @red;
close OUT;


